.menu {
    display: flex;
    justify-content: center;
}

button {
    margin: 10px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #e1e1e1;
    flex: 0 0 auto;
}

.not-visible {
    display: none;
}

.visible {
    /*display: flex;*/
    display: flex;
}

.listNum, .prompt-index {
    padding: 10px;
}


.modal {
    position: fixed; /* Stay in place */
    justify-content: center;
    align-items: center;
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: 5% auto; /* 15% from the top and centered */
    padding: 50px;
    border: 1px solid #888;
    width: 40%; /* Could be more or less, depending on screen size */
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    animation: modalopen 0.4s; /* Animation */
}

.close {
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    position: absolute;
    top: 0;
    right: 0;
    padding: 12px 16px;
    margin-right: 10px;
    z-index: 10;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

@keyframes modalopen {
    from {opacity: 0}
    to {opacity: 1}
}



#section-info {
    display: flex;
    justify-content: center;
}

#display-current-section {
}



#modal {
    display: flex;
    margin: 20px;
    padding: 20px;
    width: 30%;
    flex-direction: column;
    justify-content: space-between;
    outline: 1px solid #e1e1e1;
}

#modal * {
    margin: 10px;
    outline: 1px solid #e1e1e1;
}

.container {
    display: flex;
    height: 100%;
}

#input-column {
    display: flex;
    overflow: auto;
    flex-direction: column;
    align-self: flex-start;
    justify-content: center;
    flex: 1;
    outline: 1px solid #e1e1e1;
}

#input-column * {
    margin: 10px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #e1e1e1;
}


#prompts-column {
    overflow: auto;
    outline: 1px solid #e1e1e1;
    display: flex;
    flex: 1;
    flex-direction: column;
    margin-right: 20px;
}

#prompt-buttons {
    display: flex;
    align-items: flex-start;
    flex: 1;
    flex-direction: row;
    justify-content: center;
    margin: 10px;
}

#prompt {
    resize: none;
}

#sections-div, #prompts-div {
    flex: 1;
    flex-shrink: 0;
    flex-grow: 1;
    overflow-y: auto;
    outline: 1px solid #e1e1e1;
}

#sections-list, #prompts-list {
    list-style-type: none;
    padding: 5;
    margin: 5;
}

#prompts-list span {
    color: black;
}

.section {
    padding: 10px;
    margin: 10px;
    border-radius: 5px;
    border: 1px solid #e1e1e1;
}

#sections-list li, #prompts-list li {
}

.section-name, .section-length, .section-remove {
}

.section-name:hover, .prompt-content:hover {
    text-decoration: underline;
    border-color: #e1e1e1;
    cursor: pointer;
}

.section-remove, .delete-prompt {
    float: right;
    color: red;
}

.section-remove:hover, .delete-prompt:hover {
    background-color: #f44336;
    color: white;
    cursor: pointer;
}

.input-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 20px;
}

.fade-in {
    opacity: 0;
    transform: scale(0.9);
    animation: fadeIn 0.5s forwards;
}

@keyframes fadeIn {
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.fade-out {
    opacity: 1;
    transform: scale(1);
    animation: fadeOut 0.5s forwards;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        transform: scale(0.9);
    }
}
